Subject: Re: bug#19146: 25.0.50; RFE: non-interactive package upgrade

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 17 May 2022 11:08:57 +0200

Sam Steingold <[email-masked]> writes:

> package.el is now broken.
> "emacs" fails on startup with `Wrong type argument: stringp, nil`.
> "emacs -q" works, when I load `package-quickstart.el` manually, I get
> `(void-variable package-activated-list)`.
> When I manually do `M-x package-initialize`, I can compile and load
> `package-quickstart.el`.
>
> When I try to evaluate .emacs, `load-path` does _not_ contain any
> paths to any installed package.

See bug#55447.

> Also, `emacs --batch --load package -funcall package-update-all`
> prints `No packages to update` while interactively it _does_ find
> packages to update.
> I suspect that this is because `--batch` implies `-q` which means that
> batch emacs does not know about my local packages?

Yes, you have to put a -l ~/.emacs in there to get that to work.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no